[arch-commits] Commit in cataclysm-dda/repos/community-x86_64 (3 files)

Kyle Keen kkeen at archlinux.org
Fri Mar 8 17:21:57 UTC 2019


    Date: Friday, March 8, 2019 @ 17:21:56
  Author: kkeen
Revision: 438127

archrelease: copy trunk to community-x86_64

Added:
  cataclysm-dda/repos/community-x86_64/PKGBUILD
    (from rev 438126, cataclysm-dda/trunk/PKGBUILD)
Deleted:
  cataclysm-dda/repos/community-x86_64/PKGBUILD
  cataclysm-dda/repos/community-x86_64/cataclysm-dda.install

-----------------------+
 PKGBUILD              |  144 +++++++++++++++++++++++++-----------------------
 cataclysm-dda.install |    5 -
 2 files changed, 75 insertions(+), 74 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-08 17:21:36 UTC (rev 438126)
+++ PKGBUILD	2019-03-08 17:21:56 UTC (rev 438127)
@@ -1,69 +0,0 @@
-# $Id$
-# Maintainer: Kyle Keen <keenerd at gmail.com>
-
-pkgname=cataclysm-dda
-pkgver=0.C
-pkgrel=4
-pkgdesc="A post-apocalyptic roguelike."
-#url="http://cataclysmrl.blogspot.com/"
-#url="http://www.cataclysm.glyphgryph.com/"
-url="http://en.cataclysmdda.com/"
-arch=('x86_64')
-license=("CCPL:by-sa")
-depends=('ncurses' 'lua' 'hicolor-icon-theme')
-makedepends=('sdl2_image' 'sdl2_ttf' 'sdl2_mixer' 'freetype2')
-optdepends=('sdl2_image: for tiles'
-            'sdl2_ttf: for tiles'
-            'freetype2: for tiles'
-            'sdl2_mixer: for tiles')
-install=cataclysm-dda.install
-source=("$pkgname-$pkgver.tar.gz::https://github.com/CleverRaven/Cataclysm-DDA/archive/$pkgver.tar.gz")
-md5sums=('805132ab7651ba93e5247ced7fe1fc97')
-
-# official docs say to use lua51
-# but makefile supports lua52?
-# lua53 works, but git HEAD detects/uses lua51?
-
-# tiles + executable are about half of the package
-# next release looks like 2/3rds,  consider splitting
-# USE_XDG_DIR for next release
-
-build() {
-  cd "Cataclysm-DDA-$pkgver"
-
-  sed -i 's/-Werror//' Makefile
-  sed -i 's/ncursesw5-config/ncursesw6-config/' Makefile
-  #sed -i 's|"\(l.*h\)"|"lua5.1/\1"|' src/catalua.{h,cpp}
-
-  make PREFIX=/usr RELEASE=1 ZLEVELS=1 USE_HOME_DIR=1 LUA=1
-  make PREFIX=/usr RELEASE=1 ZLEVELS=1 USE_HOME_DIR=1 LUA=1 TILES=1 SOUND=1
-  #LUA_BINARY="/usr/bin/lua5.1"
-}
-
-package() {
-  cd "Cataclysm-DDA-$pkgver"
-
-  # no DESTDIR
-  make PREFIX="$pkgdir/usr" \
-  RELEASE=1 ZLEVELS=1 USE_HOME_DIR=1 LUA=1 TILES=0 SOUND=0 \
-  install
-  # doesn't install executable?
-  install -Dm755 cataclysm "$pkgdir/usr/bin/cataclysm"
-
-  make PREFIX="$pkgdir/usr" \
-  RELEASE=1 ZLEVELS=1 USE_HOME_DIR=1 LUA=1 TILES=1 SOUND=1 \
-  install
-
-  # Icon
-  install -D 'data/osx/AppIcon.iconset/icon_128x128.png' "$pkgdir/usr/share/icons/hicolor/128x128/apps/cataclysm-dda.png"
-
-  # Docs
-  install -d "$pkgdir/usr/share/doc/cataclysm-dda"
-  cp -r doc/* "$pkgdir/usr/share/doc/cataclysm-dda"
-  # undo symlink
-  rm "$pkgdir/usr/share/doc/cataclysm-dda/JSON_LOADING_ORDER.md"
-  cp 'data/json/LOADING_ORDER.md' "$pkgdir/usr/share/doc/cataclysm-dda/      JSON_LOADING_ORDER.md"
-
-  # License
-  install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}

Copied: cataclysm-dda/repos/community-x86_64/PKGBUILD (from rev 438126, cataclysm-dda/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-08 17:21:56 UTC (rev 438127)
@@ -0,0 +1,75 @@
+# Maintainer: Kyle Keen <keenerd at gmail.com>
+
+pkgbase=cataclysm-dda
+pkgname=(cataclysm-dda cataclysm-dda-tiles)
+pkgname=cataclysm-dda
+pkgver=0.D
+pkgrel=1
+pkgdesc="A post-apocalyptic roguelike."
+#url="http://cataclysmrl.blogspot.com/"
+#url="http://www.cataclysm.glyphgryph.com/"
+#url="http://en.cataclysmdda.com/"
+url="https://cataclysmdda.org/"
+arch=('x86_64')
+license=("CCPL:by-sa")
+depends=('ncurses' 'lua' 'hicolor-icon-theme' 'gettext')
+makedepends=('sdl2_image' 'sdl2_ttf' 'sdl2_mixer' 'freetype2' 'astyle')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/CleverRaven/Cataclysm-DDA/archive/$pkgver.tar.gz")
+md5sums=('720cf97844bf77ca428c6a4d0b1afa34')
+
+# official docs say to use lua51
+# but makefile supports lua52?
+# lua53 works, but git HEAD detects/uses lua51?
+
+prepare() {
+  cd "Cataclysm-DDA-$pkgver"
+  sed -i 's/-Werror//' Makefile
+  sed -i 's/ncursesw5-config/ncursesw6-config/' Makefile
+  #sed -i 's|"\(l.*h\)"|"lua5.1/\1"|' src/catalua.{h,cpp}
+  sed -i 's/shell git/shell false/' Makefile
+}
+
+build() {
+  cd "Cataclysm-DDA-$pkgver"
+
+  # tests "ifdef TILES" so "TILES=0" will enable tiles!
+  # DYNAMIC_LINKING appears to be a windows flag?
+  make PREFIX=/usr RELEASE=1 USE_XDG_DIR=1 BACKTRACE=0 ZLEVELS=1 LUA=1
+  make PREFIX=/usr RELEASE=1 USE_XDG_DIR=1 BACKTRACE=0 ZLEVELS=1 LUA=1 TILES=1 SOUND=1
+  #LUA_BINARY="/usr/bin/lua5.1"
+}
+
+package_cataclysm-dda() {
+  cd "Cataclysm-DDA-$pkgver"
+
+  make DESTDIR="$pkgdir" PREFIX="/usr" RELEASE=1 ZLEVELS=1 USE_HOME_DIR=1 LUA=1 install
+
+  # Docs
+  install -d "$pkgdir/usr/share/doc/cataclysm-dda"
+  cp -r doc/* "$pkgdir/usr/share/doc/cataclysm-dda"
+  # undo symlink
+  rm "$pkgdir/usr/share/doc/cataclysm-dda/JSON_LOADING_ORDER.md"
+  cp 'data/json/LOADING_ORDER.md' "$pkgdir/usr/share/doc/cataclysm-dda/JSON_LOADING_ORDER.md"
+
+  # License
+  install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+package_cataclysm-dda-tiles() {
+  pkgdesc="A graphical post-apocalyptic roguelike."
+  depends=('cataclysm-dda' 'sdl2_image' 'sdl2_ttf' 'freetype2' 'sdl2_mixer')
+  cd "Cataclysm-DDA-$pkgver"
+
+  make DESTDIR="$pkgdir" PREFIX="/usr" RELEASE=1 ZLEVELS=1 LUA=1 TILES=1 SOUND=1 install
+
+  # Icon
+  install -D 'data/osx/AppIcon.iconset/icon_128x128.png' "$pkgdir/usr/share/icons/hicolor/128x128/apps/cataclysm-dda.png"
+
+  install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # hack: remove overlapping files
+  cd "$pkgdir/../cataclysm-dda"
+  find . -type f -exec rm -f "$pkgdir"/{} \;
+  cd "$pkgdir"
+  find . -type d -empty -delete
+}

Deleted: cataclysm-dda.install
===================================================================
--- cataclysm-dda.install	2019-03-08 17:21:36 UTC (rev 438126)
+++ cataclysm-dda.install	2019-03-08 17:21:56 UTC (rev 438127)
@@ -1,5 +0,0 @@
-post_upgrade() {
-  echo "Save formats are almost always incompatible"
-  echo "Please delete all files in ~/.cataclysm-dda/save/"
-}
-


More information about the arch-commits mailing list